<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>13. What Now? &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="The Python Tutorial" href="index.html" />
    <link rel="next" title="14. Interactive Input Editing and History Substitution" href="interactive.html" />
    <link rel="prev" title="12. Virtual Environments and Packages" href="venv.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="interactive.html" title="14. Interactive Input Editing and History Substitution"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="venv.html" title="12. Virtual Environments and Packages"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Python Tutorial</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="what-now">
<span id="tut-whatnow"></span><h1>13. What Now?<a class="headerlink" href="#what-now" title="Permalink to this headline">¶</a></h1>
<p>Reading this tutorial has probably reinforced your interest in using Python &#8212;
you should be eager to apply Python to solving your real-world problems. Where
should you go to learn more?</p>
<p>This tutorial is part of Python&#8217;s documentation set.   Some other documents in
the set are:</p>
<ul>
<li><p class="first"><a class="reference internal" href="../library/index.html#library-index"><span>The Python Standard Library</span></a>:</p>
<p>You should browse through this manual, which gives complete (though terse)
reference material about types, functions, and the modules in the standard
library.  The standard Python distribution includes a <em>lot</em> of additional code.
There are modules to read Unix mailboxes, retrieve documents via HTTP, generate
random numbers, parse command-line options, write CGI programs, compress data,
and many other tasks. Skimming through the Library Reference will give you an
idea of what&#8217;s available.</p>
</li>
<li><p class="first"><a class="reference internal" href="../installing/index.html#installing-index"><span>Installing Python Modules</span></a> explains how to install additional modules written
by other Python users.</p>
</li>
<li><p class="first"><a class="reference internal" href="../reference/index.html#reference-index"><span>The Python Language Reference</span></a>: A detailed explanation of Python&#8217;s syntax and
semantics.  It&#8217;s heavy reading, but is useful as a complete guide to the
language itself.</p>
</li>
</ul>
<p>More Python resources:</p>
<ul class="simple">
<li><a class="reference external" href="https://www.python.org">https://www.python.org</a>:  The major Python Web site.  It contains code,
documentation, and pointers to Python-related pages around the Web.  This Web
site is mirrored in various places around the world, such as Europe, Japan, and
Australia; a mirror may be faster than the main site, depending on your
geographical location.</li>
<li><a class="reference external" href="https://docs.python.org">https://docs.python.org</a>:  Fast access to Python&#8217;s  documentation.</li>
<li><a class="reference external" href="https://pypi.python.org/pypi">https://pypi.python.org/pypi</a>: The Python Package Index, previously also nicknamed
the Cheese Shop, is an index of user-created Python modules that are available
for download.  Once you begin releasing code, you can register it here so that
others can find it.</li>
<li><a class="reference external" href="http://code.activestate.com/recipes/langs/python/">http://code.activestate.com/recipes/langs/python/</a>: The Python Cookbook is a
sizable collection of code examples, larger modules, and useful scripts.
Particularly notable contributions are collected in a book also titled Python
Cookbook (O&#8217;Reilly &amp; Associates, ISBN 0-596-00797-3.)</li>
<li><a class="reference external" href="http://www.pyvideo.org">http://www.pyvideo.org</a> collects links to Python-related videos from
conferences and user-group meetings.</li>
<li><a class="reference external" href="http://scipy.org">http://scipy.org</a>: The Scientific Python project includes modules for fast
array computations and manipulations plus a host of packages for such
things as linear algebra, Fourier transforms, non-linear solvers,
random number distributions, statistical analysis and the like.</li>
</ul>
<p>For Python-related questions and problem reports, you can post to the newsgroup
<em class="newsgroup">comp.lang.python</em>, or send them to the mailing list at
<a class="reference external" href="mailto:python-list&#37;&#52;&#48;python&#46;org">python-list<span>&#64;</span>python<span>&#46;</span>org</a>.  The newsgroup and mailing list are gatewayed, so
messages posted to one will automatically be forwarded to the other.  There are
hundreds of postings a day, asking (and
answering) questions, suggesting new features, and announcing new modules.
Mailing list archives are available at <a class="reference external" href="https://mail.python.org/pipermail/">https://mail.python.org/pipermail/</a>.</p>
<p>Before posting, be sure to check the list of
<a class="reference internal" href="../faq/index.html#faq-index"><span>Frequently Asked Questions</span></a> (also called the FAQ).  The
FAQ answers many of the questions that come up again and again, and may
already contain the solution for your problem.</p>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="venv.html"
                        title="previous chapter">12. Virtual Environments and Packages</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="interactive.html"
                        title="next chapter">14. Interactive Input Editing and History Substitution</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/tutorial/whatnow.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="interactive.html" title="14. Interactive Input Editing and History Substitution"
             >next</a> |</li>
        <li class="right" >
          <a href="venv.html" title="12. Virtual Environments and Packages"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Tutorial</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>